Index: trunk/doc/Flair/search/functions_13.js
===================================================================
--- trunk/doc/Flair/search/functions_13.js	(revision 31)
+++ trunk/doc/Flair/search/functions_13.js	(revision 32)
@@ -88,5 +88,5 @@
   ['textdirection',['textDirection',['http://qt-project.org/doc/qt-4.8/qtextblock.html#textDirection',0,'QTextBlock::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextoption.html#textDirection',0,'QTextOption::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection()'],['http://qt-project.org/doc/qt-4.8/qprogressbar.html#textDirection-prop',0,'QProgressBar::textDirection() const'],['http://qt-project.org/doc/qt-4.8/qlocale.html#textDirection',0,'QLocale::textDirection()'],['http://qt-project.org/doc/qt-4.8/qtextinlineobject.html#textDirection',0,'QTextInlineObject::textDirection()']]],
   ['textechomode',['textEchoMode',['http://qt-project.org/doc/qt-4.8/qinputdialog.html#textEchoMode-prop',0,'QInputDialog']]],
-  ['textedit',['textEdit',['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()'],['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()']]],
+  ['textedit',['TextEdit',['../classflair_1_1gui_1_1_text_edit.html#acfd19e80797f61337a769ccc642d18fa',1,'flair::gui::TextEdit::TextEdit()'],['http://qt-project.org/doc/qt-4.8/q3syntaxhighlighter.html#textEdit',0,'Q3SyntaxHighlighter::textEdit()']]],
   ['textedited',['textEdited',['http://qt-project.org/doc/qt-4.8/qlineedit.html#textEdited',0,'QLineEdit']]],
   ['textelidemode',['textElideMode',['http://qt-project.org/doc/qt-4.8/qabstractitemview.html#textElideMode-prop',0,'QAbstractItemView']]],
@@ -122,5 +122,5 @@
   ['themesearchpaths',['themeSearchPaths',['http://qt-project.org/doc/qt-4.8/qicon.html#themeSearchPaths',0,'QIcon']]],
   ['thisobject',['thisObject',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#thisObject',0,'QScriptContext::thisObject()'],['http://qt-project.org/doc/qt-4.8/qscriptable.html#thisObject',0,'QScriptable::thisObject()']]],
-  ['thread',['Thread',['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()'],['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()']]],
+  ['thread',['thread',['http://qt-project.org/doc/qt-4.8/qobject.html#thread',0,'QObject::thread()'],['../classflair_1_1core_1_1_thread.html#a5ef98773d91697e162ab30b89528b007',1,'flair::core::Thread::Thread()']]],
   ['throwerror',['throwError',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError',0,'QScriptContext::throwError(Error error, const QString &amp;text)'],['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwError-2',0,'QScriptContext::throwError(const QString &amp;text)']]],
   ['throwvalue',['throwValue',['http://qt-project.org/doc/qt-4.8/qscriptcontext.html#throwValue',0,'QScriptContext']]],
Index: trunk/doc/Flair/search/functions_1a.js
===================================================================
--- trunk/doc/Flair/search/functions_1a.js	(revision 31)
+++ trunk/doc/Flair/search/functions_1a.js	(revision 32)
@@ -30,5 +30,4 @@
   ['_7eframeworkmanager',['~FrameworkManager',['../classflair_1_1core_1_1_framework_manager.html#aa97c7fbaba572aa856d23c416f3b74e4',1,'flair::core::FrameworkManager']]],
   ['_7egeocoordinate',['~GeoCoordinate',['../classflair_1_1core_1_1_geo_coordinate.html#a2bb9ea66ede832b59e484ed4d3810770',1,'flair::core::GeoCoordinate']]],
-  ['_7egps',['~Gps',['../classflair_1_1sensor_1_1_gps.html#a7d75b9b8ffeafd9d5062806e598398bd',1,'flair::sensor::Gps']]],
   ['_7egpsdata',['~GpsData',['../classflair_1_1core_1_1_gps_data.html#a40703fd28dd1b6053df7292c222de5c8',1,'flair::core::GpsData']]],
   ['_7egridlayout',['~GridLayout',['../classflair_1_1gui_1_1_grid_layout.html#a688ff9f536c2c9e12f7ef845d176caa3',1,'flair::gui::GridLayout']]],
@@ -58,4 +57,5 @@
   ['_7emutex',['~Mutex',['../classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb',1,'flair::core::Mutex']]],
   ['_7enestedsat',['~NestedSat',['../classflair_1_1filter_1_1_nested_sat.html#a899e174f442b871ecf4000f720fb11e9',1,'flair::filter::NestedSat']]],
+  ['_7enmeagps',['~NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a6102de13ed1ba414bf058235416580e9',1,'flair::sensor::NmeaGps']]],
   ['_7enovatel',['~Novatel',['../classflair_1_1sensor_1_1_novatel.html#a9d6046e078858c12e281cea2ad8a737a',1,'flair::sensor::Novatel']]],
   ['_7eobject',['~Object',['../classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09',1,'flair::core::Object']]],
Index: trunk/doc/Flair/search/functions_4.js
===================================================================
--- trunk/doc/Flair/search/functions_4.js	(revision 31)
+++ trunk/doc/Flair/search/functions_4.js	(revision 32)
@@ -133,5 +133,5 @@
   ['eof',['eof',['http://qt-project.org/doc/qt-4.8/qdatastream-qt3.html#eof',0,'QDataStream::eof()'],['http://qt-project.org/doc/qt-4.8/q3textstream-obsolete.html#eof',0,'Q3TextStream::eof()']]],
   ['eor',['eor',['http://qt-project.org/doc/qt-4.8/qregion-obsolete.html#eor',0,'QRegion']]],
-  ['eplot',['EPlot',['../classflair_1_1sensor_1_1_gps.html#aa4604549109f40264131901a50ec6f00',1,'flair::sensor::Gps']]],
+  ['eplot',['EPlot',['../classflair_1_1sensor_1_1_nmea_gps.html#a0198e8b7960279c1322492ca7a711920',1,'flair::sensor::NmeaGps']]],
   ['equal',['equal',['http://qt-project.org/doc/qt-4.8/qurlinfo.html#equal',0,'QUrlInfo']]],
   ['equals',['equals',['http://qt-project.org/doc/qt-4.8/qscriptvalue.html#equals',0,'QScriptValue']]],
Index: trunk/doc/Flair/search/functions_d.js
===================================================================
--- trunk/doc/Flair/search/functions_d.js	(revision 31)
+++ trunk/doc/Flair/search/functions_d.js	(revision 32)
@@ -28,5 +28,4 @@
   ['navigate',['navigate',['http://qt-project.org/doc/qt-4.8/qaccessibleinterface.html#navigate',0,'QAccessibleInterface::navigate()'],['http://qt-project.org/doc/qt-4.8/qaccessiblewidget.html#navigate',0,'QAccessibleWidget::navigate()']]],
   ['navigationmode',['navigationMode',['http://qt-project.org/doc/qt-4.8/qapplication.html#navigationMode',0,'QApplication']]],
-  ['nbsat',['NbSat',['../classflair_1_1sensor_1_1_gps.html#a6833e5753ea738ff494398d7f4faa7d3',1,'flair::sensor::Gps']]],
   ['nearestformat',['nearestFormat',['http://qt-project.org/doc/qt-4.8/qaudiodeviceinfo.html#nearestFormat',0,'QAudioDeviceInfo::nearestFormat()'],['http://qt-project.org/doc/qt-4.8/qabstractvideosurface.html#nearestFormat',0,'QAbstractVideoSurface::nearestFormat()']]],
   ['needsnotifysignal',['needsNotifySignal',['http://qt-project.org/doc/qt-4.8/qdeclarativeproperty.html#needsNotifySignal',0,'QDeclarativeProperty']]],
@@ -80,4 +79,5 @@
   ['nexttitle',['nextTitle',['http://qt-project.org/doc/qt-4.8/phonon-mediacontroller.html#nextTitle',0,'Phonon::MediaController']]],
   ['nlerp',['nlerp',['http://qt-project.org/doc/qt-4.8/qquaternion.html#nlerp',0,'QQuaternion']]],
+  ['nmeagps',['NmeaGps',['../classflair_1_1sensor_1_1_nmea_gps.html#a969f2066d4eec611116f3b2a3e52faaf',1,'flair::sensor::NmeaGps']]],
   ['nodename',['nodeName',['http://qt-project.org/doc/qt-4.8/qdomnode.html#nodeName',0,'QDomNode']]],
   ['nodesbyidref',['nodesByIdref',['http://qt-project.org/doc/qt-4.8/qsimplexmlnodemodel.html#nodesByIdref',0,'QSimpleXmlNodeModel::nodesByIdref()'],['http://qt-project.org/doc/qt-4.8/qabstractxmlnodemodel.html#nodesByIdref',0,'QAbstractXmlNodeModel::nodesByIdref()']]],
@@ -113,6 +113,6 @@
   ['notifysignal',['notifySignal',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#notifySignal',0,'QMetaProperty']]],
   ['notifysignalindex',['notifySignalIndex',['http://qt-project.org/doc/qt-4.8/qmetaproperty.html#notifySignalIndex',0,'QMetaProperty']]],
-  ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html#ae48c2db7ff136fac5666a2f1bfc56320',1,'flair::sensor::Novatel']]],
-  ['nplot',['NPlot',['../classflair_1_1sensor_1_1_gps.html#a20cda3f8f1bab2465a952eff3e3586fc',1,'flair::sensor::Gps']]],
+  ['novatel',['Novatel',['../classflair_1_1sensor_1_1_novatel.html#a463b548ac4475e489a08ca323315337d',1,'flair::sensor::Novatel']]],
+  ['nplot',['NPlot',['../classflair_1_1sensor_1_1_nmea_gps.html#a1f24594765a867468a1ed5554d175086',1,'flair::sensor::NmeaGps']]],
   ['nrefs',['nrefs',['http://qt-project.org/doc/qt-4.8/q3memarray.html#nrefs',0,'Q3MemArray']]],
   ['nsecselapsed',['nsecsElapsed',['http://qt-project.org/doc/qt-4.8/qelapsedtimer.html#nsecsElapsed',0,'QElapsedTimer']]],
Index: trunk/doc/Flair/search/functions_e.js
===================================================================
--- trunk/doc/Flair/search/functions_e.js	(revision 31)
+++ trunk/doc/Flair/search/functions_e.js	(revision 32)
@@ -10,5 +10,5 @@
   ['objectregisteredat',['objectRegisteredAt',['http://qt-project.org/doc/qt-4.8/qdbusconnection.html#objectRegisteredAt',0,'QDBusConnection']]],
   ['objectremoved',['objectRemoved',['http://qt-project.org/doc/qt-4.8/qdesignerformwindowinterface.html#objectRemoved',0,'QDesignerFormWindowInterface']]],
-  ['objecttype',['ObjectType',['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()'],['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()']]],
+  ['objecttype',['objectType',['http://qt-project.org/doc/qt-4.8/qtextformat.html#objectType',0,'QTextFormat::objectType()'],['../classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53',1,'flair::core::Object::ObjectType()']]],
   ['officonset',['offIconSet',['http://qt-project.org/doc/qt-4.8/qtoolbutton-qt3.html#offIconSet',0,'QToolButton']]],
   ['offlinestoragedefaultquota',['offlineStorageDefaultQuota',['http://qt-project.org/doc/qt-4.8/qwebsettings.html#offlineStorageDefaultQuota',0,'QWebSettings']]],
Index: trunk/doc/Flair/search/functions_f.js
===================================================================
--- trunk/doc/Flair/search/functions_f.js	(revision 31)
+++ trunk/doc/Flair/search/functions_f.js	(revision 32)
@@ -70,5 +70,5 @@
   ['parsecontinue',['parseContinue',['http://qt-project.org/doc/qt-4.8/qxmlsimplereader.html#parseContinue',0,'QXmlSimpleReader']]],
   ['parsecookies',['parseCookies',['http://qt-project.org/doc/qt-4.8/qnetworkcookie.html#parseCookies',0,'QNetworkCookie']]],
-  ['parseframe',['parseFrame',['../classflair_1_1sensor_1_1_gps.html#a460e922857220d5b89949e46ea02a60c',1,'flair::sensor::Gps']]],
+  ['parseframe',['parseFrame',['../classflair_1_1sensor_1_1_nmea_gps.html#a44e58183084b612c803963c2c75958e8',1,'flair::sensor::NmeaGps']]],
   ['parsesubnet',['parseSubnet',['http://qt-project.org/doc/qt-4.8/qhostaddress.html#parseSubnet',0,'QHostAddress']]],
   ['password',['password',['http://qt-project.org/doc/qt-4.8/qauthenticator.html#password',0,'QAuthenticator::password()'],['http://qt-project.org/doc/qt-4.8/q3url.html#password',0,'Q3Url::password()'],['http://qt-project.org/doc/qt-4.8/qsqldatabase.html#password',0,'QSqlDatabase::password()'],['http://qt-project.org/doc/qt-4.8/qurl.html#password',0,'QUrl::password()'],['http://qt-project.org/doc/qt-4.8/qnetworkproxy.html#password',0,'QNetworkProxy::password()']]],
@@ -113,5 +113,5 @@
   ['physicalheight',['physicalHeight',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalHeight',0,'QScreen']]],
   ['physicalwidth',['physicalWidth',['http://qt-project.org/doc/qt-4.8/qscreen.html#physicalWidth',0,'QScreen']]],
-  ['picture',['picture',['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()'],['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()']]],
+  ['picture',['Picture',['../classflair_1_1gui_1_1_picture.html#a6ee56525b149244b23bf84a3bf224124',1,'flair::gui::Picture::Picture()'],['http://qt-project.org/doc/qt-4.8/q3iconviewitem.html#picture',0,'Q3IconViewItem::picture()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#picture',0,'QPictureIO::picture()'],['http://qt-project.org/doc/qt-4.8/qlabel.html#picture',0,'QLabel::picture()']]],
   ['pictureformat',['pictureFormat',['http://qt-project.org/doc/qt-4.8/qpicture-obsolete.html#pictureFormat',0,'QPicture::pictureFormat()'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#pictureFormat',0,'QPictureIO::pictureFormat(const QString &amp;fileName)'],['http://qt-project.org/doc/qt-4.8/qpictureio.html#pictureFormat-2',0,'QPictureIO::pictureFormat(QIODevice *d)']]],
   ['pid',['Pid',['../classflair_1_1filter_1_1_pid.html#a6505c295f5e719f1d85620b44c62d619',1,'flair::filter::Pid::Pid()'],['http://qt-project.org/doc/qt-4.8/qprocess.html#pid',0,'QProcess::pid()']]],
Index: trunk/include/FlairCore/io_data.h
===================================================================
--- trunk/include/FlairCore/io_data.h	(revision 31)
+++ trunk/include/FlairCore/io_data.h	(revision 32)
@@ -58,4 +58,14 @@
 extern SignedIntegerType Int16Type;
 
+class UnsignedIntegerType : public ScalarType {
+public:
+  UnsignedIntegerType(size_t sizeInBits) : ScalarType(sizeInBits / 8) {}
+  std::string GetDescription() const {
+    return "uint" + std::to_string(GetSize() * 8) + "_t";
+  };
+};
+extern UnsignedIntegerType UInt8Type;
+extern UnsignedIntegerType UInt16Type;
+
 class FloatType : public ScalarType {
 public:
@@ -64,4 +74,11 @@
 };
 extern FloatType floatType;
+
+class DoubleType : public ScalarType {
+public:
+  DoubleType() : ScalarType(8) {}
+  std::string GetDescription() const { return "double"; };
+};
+extern DoubleType doubleType;
 
 /*! \class io_data
Index: trunk/include/FlairSensorActuator/Mb800.h
===================================================================
--- trunk/include/FlairSensorActuator/Mb800.h	(revision 31)
+++ trunk/include/FlairSensorActuator/Mb800.h	(revision 32)
@@ -15,5 +15,5 @@
 
 #include <Thread.h>
-#include <Gps.h>
+#include <NmeaGps.h>
 
 namespace flair {
@@ -30,5 +30,5 @@
 * \brief Class for mb800 gps receiver
 */
-class Mb800 : public core::Thread, public Gps {
+class Mb800 : public core::Thread, public NmeaGps {
 public:
   /*!
@@ -44,5 +44,5 @@
   */
   Mb800(const core::FrameworkManager *parent, std::string name,
-        core::SerialPort *serialport, Gps::NMEAFlags_t NMEAFlags,
+        core::SerialPort *serialport, NmeaGps::NMEAFlags_t NMEAFlags,
         uint8_t priority);
 
Index: trunk/include/FlairSensorActuator/NmeaGps.h
===================================================================
--- trunk/include/FlairSensorActuator/NmeaGps.h	(revision 32)
+++ trunk/include/FlairSensorActuator/NmeaGps.h	(revision 32)
@@ -0,0 +1,225 @@
+// %flair:license{
+// This file is part of the Flair framework distributed under the
+// CECILL-C License, Version 1.0.
+// %flair:license}
+/*!
+ * \file NmeaGps.h
+ * \brief Base class for GPS using NMEA sentances
+ * \author Guillaume Sanahuja, Copyright Heudiasyc UMR UTC/CNRS 7253
+ * \date 2013/08/23
+ * \version 4.0
+ */
+
+#ifndef NMEAGPS_H
+#define NMEAGPS_H
+
+#include <IODevice.h>
+#include <nmea/nmea.h>
+
+namespace flair {
+  namespace core {
+    class FrameworkManager;
+    class GeoCoordinate;
+    class Vector3D;
+    class GpsData;
+  }
+  namespace gui {
+    class Layout;
+    class DataPlot1D;
+    class Tab;
+    class TabWidget;
+    class PushButton;
+    class Map;
+    class Label;
+    class GroupBox;
+  }
+}
+
+namespace flair {
+namespace sensor {
+
+/*! \class NmeaGps
+*
+* \brief Base class for GPS using NMEA sentances
+*/
+class NmeaGps : public core::IODevice {
+public:
+  /*!
+  \enum NMEAFlags_t
+  \brief NMEA flags
+  */
+  enum NMEAFlags_t {
+    GGA = 0x01, /*!< GGA */
+    VTG = 0x02, /*!< VTG */
+    GST = 0x04, /*!< GST */
+  };
+
+  /*!
+  * \brief Constructor
+  *
+  * Construct a NmeaGps.
+  *
+  * \param parent parent
+  * \param name name
+  * \param NMEAFlags NMEA sentances to enable
+  */
+  NmeaGps(const core::FrameworkManager *parent, std::string name,
+      NMEAFlags_t NMEAFlags);
+
+  /*!
+  * \brief Constructor
+  *
+  * Construct a NmeaGps. \n
+  * This contructor must only be called for a simulated device.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  NmeaGps(const core::IODevice *parent, std::string name);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~NmeaGps();
+
+  /*!
+  * \brief Get GPS datas
+  *
+  * \return GpsData
+  */
+  const core::GpsData *GetDatas(void) const;
+
+  /*!
+  * \brief Use default plot
+  *
+  */
+  void UseDefaultPlot(void);
+
+  /*!
+  * \brief East plot
+  *
+  * \return east plot
+  */
+  gui::DataPlot1D *EPlot(void) const;
+
+  /*!
+  * \brief North plot
+  *
+  * \return north plot
+  */
+  gui::DataPlot1D *NPlot(void) const;
+
+  /*!
+  * \brief Up plot
+  *
+  * \return up plot
+  */
+  gui::DataPlot1D *UPlot(void) const;
+
+  /*!
+  * \brief East velocity plot
+  *
+  * \return east velocity plot
+  */
+  gui::DataPlot1D *VEPlot(void) const;
+
+  /*!
+  * \brief North velocity plot
+  *
+  * \return north velocity plot
+  */
+  gui::DataPlot1D *VNPlot(void) const;
+
+  /*!
+  * \brief Main tab
+  *
+  * \return main tab
+  */
+  gui::TabWidget *GetTab(void) const;
+
+  /*!
+  * \brief Setup Layout
+  *
+  * \return setup Layout
+  */
+  gui::Layout *GetLayout(void) const;
+
+  /*!
+  * \brief Plot tab
+  *
+  * \return plot Tab
+  */
+  gui::Tab *GetPlotTab(void) const;
+
+  /*!
+  * \brief Set reference for ENU coordinates
+  *
+  * The actual position is used as reference to calculate
+  * ENU coordinates.
+  *
+  * \return fix quality
+  */
+  void SetRef(void);
+
+  /*!
+  * \brief Get ENU position
+  *
+  * \param point to store position
+  */
+  void GetEnu(core::Vector3D *point);
+
+protected:
+  /*!
+  * \brief Parse a NMEA frame
+  *
+  * This function must be called by the reimplemented class. \n
+  * When a frame is parsed, GPS datas are filled.
+  *
+  * \param frame NMEA frame
+  * \param frame_size frame size
+  *
+  */
+  void parseFrame(const char *frame, int frame_size);
+
+  NMEAFlags_t NMEAFlags;
+
+  /*!
+  * \brief Get GPS datas
+  *
+  * \param gpsData GPS datas
+  */
+  void GetDatas(core::GpsData **gpsData) const;
+
+  /*!
+  * \brief Setup GroupBox
+  *
+  * \return setup GroupBox
+  */
+  gui::GroupBox *GetGroupBox(void) const;
+
+private:
+  gui::Tab *mainTab, *sensorTab;
+  gui::TabWidget *tab;
+  gui::GroupBox *setupGroupbox;
+  gui::PushButton *buttonRef;
+  gui::DataPlot1D *ePlot;
+  gui::DataPlot1D *nPlot;
+  gui::DataPlot1D *uPlot;
+  gui::DataPlot1D *vePlot;
+  gui::DataPlot1D *vnPlot;
+  gui::Tab *plotTab;
+  gui::Map *map;
+  gui::Label *nbSatLabel, *fixLabel;
+  core::GeoCoordinate *position;
+  bool takeRef;
+  nmeaINFO info;
+  nmeaPARSER parser;
+  nmeaGPGGA pack;
+  nmeaPOS pos;
+  double latRef, longRef, altRef;
+  core::GpsData* gpsData;
+};
+} // end namespace sensor
+} // end namespace framewor
+#endif // NMEAGPS_H
Index: trunk/include/FlairSensorActuator/Novatel.h
===================================================================
--- trunk/include/FlairSensorActuator/Novatel.h	(revision 31)
+++ trunk/include/FlairSensorActuator/Novatel.h	(revision 32)
@@ -15,5 +15,5 @@
 
 #include <Thread.h>
-#include <Gps.h>
+#include <NmeaGps.h>
 
 namespace flair {
@@ -30,5 +30,5 @@
 * \brief Class for Novatel gps receiver
 */
-class Novatel : public core::Thread, public Gps {
+class Novatel : public core::Thread, public NmeaGps {
 public:
   /*!
@@ -44,5 +44,5 @@
   */
   Novatel(const core::FrameworkManager *parent, std::string name,
-          core::SerialPort *serialport, Gps::NMEAFlags_t NMEAFlags,
+          core::SerialPort *serialport, NmeaGps::NMEAFlags_t NMEAFlags,
           uint8_t priority);
 
Index: trunk/include/FlairSensorActuator/SimuGps.h
===================================================================
--- trunk/include/FlairSensorActuator/SimuGps.h	(revision 31)
+++ trunk/include/FlairSensorActuator/SimuGps.h	(revision 32)
@@ -15,10 +15,15 @@
 
 #include <Thread.h>
-#include <Gps.h>
+#include <NmeaGps.h>
 
 namespace flair {
-namespace core {
-class FrameworkManager;
-}
+  namespace core {
+    class FrameworkManager;
+    class SharedMem;
+  }
+  namespace gui {
+    class SpinBox;
+    class DoubleSpinBox;
+  }
 }
 
@@ -29,18 +34,31 @@
 * \brief Class for a simulation GPS
 */
-class SimuGps : public core::Thread, public Gps {
+class SimuGps : public core::Thread, public NmeaGps {
 public:
   /*!
   * \brief Constructor
   *
-  * Construct a Novatel.
+  * Construct a simulation GPS. Control part.
   *
   * \param parent parent
   * \param name name
   * \param NMEAFlags NMEA sentances to enable
+  * \param deviceId device id
   * \param priority priority of the Thread
   */
   SimuGps(const core::FrameworkManager *parent, std::string name,
-          Gps::NMEAFlags_t NMEAFlags, uint8_t priority);
+          NmeaGps::NMEAFlags_t NMEAFlags, uint32_t deviceId,uint8_t priority);
+
+  /*!
+  * \brief Constructor
+  *
+  * Construct a simulation GPS. Simulation part.\n
+  * The Thread of this class should not be run.
+  *
+  * \param parent parent
+  * \param name name
+  * \param deviceId device id
+  */
+  SimuGps(const core::IODevice *parent, std::string name, uint32_t deviceId);
 
   /*!
@@ -58,5 +76,5 @@
   * \param data data from the parent to process
   */
-  void UpdateFrom(const core::io_data *data){};
+  void UpdateFrom(const core::io_data *data);
 
   /*!
@@ -67,4 +85,14 @@
   */
   void Run(void);
+
+  typedef struct {
+    float x;
+    float y;
+    float z;
+  } gps_states_t;
+
+  core::SharedMem *shmem;
+  gui::SpinBox *dataRate,*fixQuality,*numberOfSatellites;
+  gui::DoubleSpinBox *latitudeRef,*longitudeRef,*altitudeRef;
 };
 } // end namespace sensor
Index: trunk/include/FlairSensorActuator/SimuImu.h
===================================================================
--- trunk/include/FlairSensorActuator/SimuImu.h	(revision 31)
+++ trunk/include/FlairSensorActuator/SimuImu.h	(revision 32)
@@ -18,11 +18,11 @@
 
 namespace flair {
-namespace core {
-class SharedMem;
-class AhrsData;
-}
-namespace gui {
-class SpinBox;
-}
+  namespace core {
+    class SharedMem;
+    class AhrsData;
+  }
+  namespace gui {
+    class SpinBox;
+  }
 }
 
@@ -93,5 +93,6 @@
     float wz;
   } imu_states_t;
-  gui::SpinBox *data_rate;
+
+  gui::SpinBox *dataRate;
   core::SharedMem *shmem;
   core::AhrsData *ahrsData;
Index: trunk/include/FlairSensorActuator/Srf08.h
===================================================================
--- trunk/include/FlairSensorActuator/Srf08.h	(revision 31)
+++ trunk/include/FlairSensorActuator/Srf08.h	(revision 32)
@@ -40,5 +40,5 @@
   * \brief Constructor
   *
-  * Construct a SimuUs. Control part.
+  * Construct a SRF08 sensor
   *
   * \param parent parent
